---
title: WebGLRenderingContext.getShaderInfoLog()
slug: Web/API/WebGLRenderingContext/getShaderInfoLog
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong>WebGLRenderingContext.getShaderInfoLog</strong> returns the information log for the specified {{domxref("WebGLShader")}} object. It contains warnings, debugging and compile information.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">gl.getShaderInfoLog(shader);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>shader</dt>
 <dd>A {{domxref("WebGLShader")}} to query.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} that contains diagnostic messages, warning messages, and other information about the last compile operation. When a {{domxref("WebGLShader")}} object is initially created, its information log will be a string of length 0.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Checking_compilation_messages">Checking compilation messages</h3>

<pre class="brush: js">/* load shader source code. */
gl.shaderSource(shader, shaderCode);

/* compile shader source code. */
gl.compileShader(shader);

var message = gl.getShaderInfoLog(shader);

if (message.length &gt; 0) {
  /* message may be an error or a warning */
  throw message;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.9", "getShaderInfoLog")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetShaderInfoLog.xml", "glGetShaderInfoLog")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getShaderInfoLog")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getShaderParameter()")}} – used with <code>gl.COMPILE_STATUS</code> to check for a failed compile.</li>
 <li>{{domxref("WebGLRenderingContext.getError()")}}</li>
</ul>
